### Method

# FwupdPlugin CfiDevice get_flash_id

since: 1.7.1

#### Declaration [src]

    const gchar*
    fu_cfi_device_get_flash_id (
      FuCfiDevice* self
    )

#### Description [src]

Gets the chip ID used to identify the device.

Available since: 1.7.1

Gets property | `FwupdPlugin.CfiDevice:flash-id`

#### Return value

Type: `const gchar*`

The ID, or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.